<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" 
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="_layout">
    <head> <title>Update Lookstiser Form</title> </head>
    <body>
        <div layout:fragment="content">            
            <div class="container">                
            <div class="row col-md-8 offset-md-2">
                <div class="card">
                    <div class="card-header">
                        <h2 class="text-center"> Update Lookstiser <p th:text="${studentDto.id}"> ID </p> </h2>
                    </div>
                    <div class="card-body"> 
                        <form role="form" method="post" 
                              th:object="${studentDto}" 
                              th:action="@{/admin/students/update}">
                            <input type="hidden" th:field="*{id}" >
                            <div class="mb-3">
                                <label class="form-label"> Nama </label>
                                <input type="text" class="form-control"  
                                       placeholder="Enter Nama" 
                                       th:field="*{name}">
                                <p th:if="${#fields.hasErrors('name')}" 
                                   class="text-danger" th:errors="*{name}"></p>
                            </div>
                            <div class="mb-3">
                                <label class="form-label"> NIM </label>
                                <input type="text" class="form-control" 
                                       placeholder="Enter NIM" 
                                       th:field="*{nim}">
                                <p th:if="${#fields.hasErrors('nim')}" 
                                   class="text-danger" th:errors="*{nim}"></p>
                            </div>
                             <div class="mb-3">
                                <label class="form-label"> Januari </label>
                                <input type="number" class="form-control" 
                                       placeholder="Enter Kas Januari" 
                                       th:field="*{jan}">
                                <p th:if="${#fields.hasErrors('jan')}" 
                                   class="text-danger" th:errors="*{jan}"></p>
                            </div>
                           <div class="mb-3">
                                <label class="form-label"> Februari </label>
                                <input type="number" class="form-control" 
                                       placeholder="Enter Kas Februari" 
                                       th:field="*{feb}">
                                <p th:if="${#fields.hasErrors('feb')}" 
                                   class="text-danger" th:errors="*{feb}"></p>
                            </div>
                             <div class="mb-3">
                                <label class="form-label"> Maret </label>
                                <input type="number" class="form-control" 
                                       placeholder="Enter Kas Maret" 
                                       th:field="*{mar}">
                                <p th:if="${#fields.hasErrors('mar')}" 
                                   class="text-danger" th:errors="*{mar}"></p>
                            </div>
                           <div class="mb-3">
                                <label class="form-label"> April </label>
                                <input type="number" class="form-control" 
                                       placeholder="Enter Kas April" 
                                       th:field="*{apr}">
                                <p th:if="${#fields.hasErrors('apr')}" 
                                   class="text-danger" th:errors="*{apr}"></p>
                            </div>
                             <div class="mb-3">
                                <label class="form-label"> Mei </label>
                                <input type="number" class="form-control" 
                                       placeholder="Enter Kas Mei" 
                                       th:field="*{mei}">
                                <p th:if="${#fields.hasErrors('mei')}" 
                                   class="text-danger" th:errors="*{mei}"></p>
                            </div>
                           <div class="mb-3">
                                <label class="form-label"> Juni </label>
                                <input type="number" class="form-control" 
                                       placeholder="Enter Kas Juni" 
                                       th:field="*{juni}">
                                <p th:if="${#fields.hasErrors('juni')}" 
                                   class="text-danger" th:errors="*{juni}"></p>
                            </div>
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </form>
                    </div>
                </div>
            </div>
            </div>            
        </div>        
    </body>       
</html>
